From 6bb95c8856437513ee0ab19226bc090d6fd0fb06 Mon Sep 17 00:00:00 2001
From: Allan McRae <allan@archlinux.org>
Date: Tue, 5 Mar 2024 07:25:11 +1000
Subject: [PATCH] Fix error messages for unknown key in databases

Signed-off-by: Allan McRae <allan@archlinux.org>
---
 lib/libalpm/be_local.c | 2 +-
 lib/libalpm/be_sync.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/lib/libalpm/be_local.c b/lib/libalpm/be_local.c
index 80b0e9d12..b4a7c35a1 100644
--- a/lib/libalpm/be_local.c
+++ b/lib/libalpm/be_local.c
@@ -838,7 +838,7 @@ static int local_db_read(alpm_pkg_t *info, int inforeq)
 				}
 				FREELIST(lines);
 			} else {
-				_alpm_log(db->handle, ALPM_LOG_WARNING, _("%s: unknown key '%s' in sync database\n"), info->name, line);
+				_alpm_log(db->handle, ALPM_LOG_WARNING, _("%s: unknown key '%s' in local database\n"), info->name, line);
 				alpm_list_t *lines = NULL;
 				READ_AND_STORE_ALL(lines);
 				FREELIST(lines);
diff --git a/lib/libalpm/be_sync.c b/lib/libalpm/be_sync.c
index 24693976e..e47cdefe7 100644
--- a/lib/libalpm/be_sync.c
+++ b/lib/libalpm/be_sync.c
@@ -692,7 +692,7 @@ static int sync_db_read(alpm_db_t *db, struct archive *archive,
 				}
 				FREELIST(lines);
 			} else {
-				_alpm_log(db->handle, ALPM_LOG_WARNING, _("%s: unknown key '%s' in local database\n"), pkg->name, line);
+				_alpm_log(db->handle, ALPM_LOG_WARNING, _("%s: unknown key '%s' in sync database\n"), pkg->name, line);
 				alpm_list_t *lines = NULL;
 				READ_AND_STORE_ALL(lines);
 				FREELIST(lines);
-- 
GitLab

